Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
DisjunctionMaxScorer.h File Reference
`#include "Scorer.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::DisjunctionMaxScorer
| The Scorer for DisjunctionMaxQuery. The union of all documents generated by the the subquery scorers is generated in document number order. The score for each document is the maximum of the scores computed by the subquery scorers that generate that document, plus tieBreakerMultiplier times the sum of the scores for the other subqueries that generate the document. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net